POST placementTest/{prospectId}/results?prospectResultStatus={prospectResultStatus}&settledLevelId={settledLevelId}&isPlacementTestTimeOut={isPlacementTestTimeOut}
Authorization
Access to this endpoint is granted if all following conditions are true:
- Authenticated user who is either StaffMember, ProspectWithoutTrial, ProspectWithTrial, Prospect
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| prospectId | globally unique identifier |
Required |
|
| prospectResultStatus | boolean |
Default value is False |
|
| settledLevelId | globally unique identifier |
None. |
|
| isPlacementTestTimeOut | boolean |
Default value is False |
Body Parameters
PearsonEnglish.LearningServices.Data.DataModels.PlacementTestResultModel| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | globally unique identifier |
None. |
|
| ProspectId | globally unique identifier |
None. |
|
| InteractionId | globally unique identifier |
None. |
|
| Score | decimal number |
None. |
|
| Result | string |
None. |
|
| RemainingTime | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"Id": "49a1d2fe-6545-4d24-aab4-f28a03e7e86b",
"ProspectId": "639dc8fd-d95a-4cb8-ad3d-5a712b5c9b66",
"InteractionId": "6c4e245a-c5e1-47c4-ba9e-a9e409940e30",
"Score": 4.1,
"Result": "sample string 5",
"RemainingTime": 6
}
Response Information
Resource Description
System.Web.Http.IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.